AppdefResourcePermissions (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefResourcePermissions class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefResourcePermissions

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourcePermissions

All Implemented Interfaces:
  java.io.Serializable

    public class AppdefResourcePermissions

extends java.lang.Object
implements java.io.Serializable

This object is used to represent a users permissions as they relate to a specific appdef resource identified by an AppdefEntityID.

See Also:
  Serialized Form

Constructor Summary
`AppdefResourcePermissions(AuthzSubject subject, AppdefEntityID eid, boolean canView, boolean canCreateChild, boolean canModify, boolean canRemove, boolean canControl, boolean canMeasure, boolean canAlert)`

Method Summary
`boolean` | `canAlert()`
`boolean` | `canControl()` Can the user control this resource
`boolean` | `canCreateChild()` Can the user create a child object of this resource.
`boolean` | `canMeasure()` Can the user monitor this resource
`boolean` | `canModify()` Can the user modify the resource
`boolean` | `canRemove()` Can the user remove this resource
`boolean` | `canView()` Can the user view this resource
`AppdefEntityID` | `getEntityId()`
`AuthzSubject` | `getSubject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefResourcePermissions

    public AppdefResourcePermissions(AuthzSubject subject,
                                     AppdefEntityID eid,
                                     boolean canView,
                                     boolean canCreateChild,
                                     boolean canModify,
                                     boolean canRemove,
                                     boolean canControl,
                                     boolean canMeasure,
                                     boolean canAlert)

Parameters:
  `subject` - - who
  `entityId` - - what
  `canView` - - can the user view the entity
  `canCreateChild` - - can the user create a child entity
  `canModify` - - can the user modify the entity
  `canRemove` - - can the user remove the entity
  `canControl` - - can the user perform control actions on the entity
  `canMeasure` - - can the user look at measurement data for the entity

Method Detail

### canView

    public boolean canView()

  Can the user view this resource

### canCreateChild

    public boolean canCreateChild()

  Can the user create a child object of this resource. Children list: Platform -> Servers Servers -> Services Note: Applications have no children. The addition of dependent services is treated as a modification to the Application resource

### canModify

    public boolean canModify()

  Can the user modify the resource

### canRemove

    public boolean canRemove()

  Can the user remove this resource

### canAlert

    public boolean canAlert()

### canControl

    public boolean canControl()

  Can the user control this resource

### canMeasure

    public boolean canMeasure()

  Can the user monitor this resource

### getSubject

    public AuthzSubject getSubject()

### getEntityId

    public AppdefEntityID getEntityId()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.